Subject: Re: bug#41112: 28.0.50; [feature/native-comp] Compiling treemacs-magit.el fails from the treemacs package

From: Andrea Corallo <[email-masked]>
Date: Wed, 06 May 2020 22:08:38 +0000

Daniel Kraus <[email-masked]> writes:

> Hi,
>
> I'm running the latest version of the native-comp branch (compiled yesterday, 2020-05-05) and
> while compiling the treemacs package (https://github.com/Alexander-Miller/treemacs/) I found out
> that `treemacs-magit.el` doesn't compile.
> The log output is:
>

Ok I managed to reproduce the and isolate the bug.

This is the funny sequence that goes out of limplification compiling an
expansion of the pcase in the expansion of treemacs--set-refresh-flags
inside treemacs-magit--simple-git-mode-update.

(cond-jump #s(comp-mvar 11631300 0 10 nil nil nil) #s(comp-mvar nil 0 nil t changed nil) bb_14 bb_14)
(jump bb_14)

The very interesing thing is that with all the code we have compiled
this the first bug in this pass since like December.

I'll fix it soon.

PS @Stefan is there a suggeted way to have the expantion of a
define-inline?  It would help in reducing for debugging this kind of
bugs.

--
[email-masked]